Welcome to WebmasterWorld Guest from 107.23.37.199

Forum Moderators: coopster & jatar k & phranque

Message Too Old, No Replies

Aspell Hell

lack of support for compilation

     
12:54 pm on Jul 5, 2002 (gmt 0)

Junior Member

10+ Year Member

joined:Oct 27, 2000
posts:75
votes: 0


Hey,

I've been labouring over this and searching about it for too long now, and thought I'd turn to here as a last resort.

I'm trying to compile the latest PHP with spell checking support.

Pspell .12.2 is compiled, along side aspell .33.7.1. It works fine from the command line.

I've got the latest PHP (4.2.1), compiling fine with pspell (and working, though no dictionaries)... I gathered I needed aspell's dictionaries to fix that, so I tried to compile --with-aspell. It whinges about the C header file "aspell-c.h", which apparently was not updated in the latest few distributions due to the move to C++, and is no longer supported. So I fetched it from another slightly earlier version of aspell, but naturally the symbols are undefined (still no support for the C interface either).

With an older version of aspell (.33), it complains about the wrong format of dictionaries when I run from the command prompt.

So my question really is, what versions of pspell and aspell libraries do I need to get a working module?!

Agony!

Thanks,
Alex